Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# WoopsiUI::SliderHorizontalGrip Class Reference

`#include <sliderhorizontalgrip.h>`

Inheritance diagram for WoopsiUI::SliderHorizontalGrip:

List of all members.

## Public Member Functions
| SliderHorizontalGrip (s16 x, s16 y, u16 width, u16 height)
## Protected Member Functions
virtual void | drawContents (GraphicsPort *port)
virtual void | drawBorder (GraphicsPort *port)
virtual void | onClick (s16 x, s16 y)
virtual void | onRelease (s16 x, s16 y)
virtual void | onReleaseOutside (s16 x, s16 y)
virtual void | onDrag (s16 x, s16 y, s16 vX, s16 vY)
virtual | ~SliderHorizontalGrip ()
| SliderHorizontalGrip (const SliderHorizontalGrip &sliderHorizontalGrip)

## Detailed Description

Class representing the grip, or draggable button, with a horizontal slider.

## Constructor & Destructor Documentation

WoopsiUI::SliderHorizontalGrip::SliderHorizontalGrip | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height
| ) |  |

Constructor.

Parameters:

  x | The x co-ordinate of the grip, relative to its parent.
  y | The y co-ordinate of the grip, relative to its parent.
  width | The width of the grip.
  height | The height of the grip.

virtual WoopsiUI::SliderHorizontalGrip::~SliderHorizontalGrip | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::SliderHorizontalGrip::SliderHorizontalGrip | ( | const SliderHorizontalGrip & | sliderHorizontalGrip | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::SliderHorizontalGrip::drawBorder | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderHorizontalGrip::drawContents | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderHorizontalGrip::onClick | ( | s16 | x,
|  | s16 | y
| ) |  | `[protected, virtual]`

Starts dragging the grip and marks it for redraw.

Parameters:

  x | The x co-ordinate of the click.
  y | The y co-ordinate of the click.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderHorizontalGrip::onDrag | ( | s16 | x,
|  | s16 | y,
|  | s16 | vX,
|  | s16 | vY
| ) |  | `[protected, virtual]`

Moves the grip to follow the stylus.

Parameters:

  x | The x co-ordinate of the stylus.
  y | The y co-ordinate of the stylus.
  vX | The horizontal distance of the drag.
  vY | The vertical distance of the drag.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderHorizontalGrip::onRelease | ( | s16 | x,
|  | s16 | y
| ) |  | `[protected, virtual]`

Marks the grip for redraw.

Parameters:

  x | The x co-ordinate of the stylus.
  y | The y co-ordinate of the stylus.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderHorizontalGrip::onReleaseOutside | ( | s16 | x,
|  | s16 | y
| ) |  | `[protected, virtual]`

Marks the grip for redraw.

Parameters:

  x | The x co-ordinate of the stylus.
  y | The y co-ordinate of the stylus.

Reimplemented from WoopsiUI::Gadget.

The documentation for this class was generated from the following file:

- sliderhorizontalgrip.h